OCS Inventory NG Forums

OCS Inventory NG, an OpenSource computer inventory and package deployement system for Windows and Unix

You are not logged in.

#1 2013-02-19 23:48:08

Segzihey
Member
Registered: 2013-02-19
Posts: 1

E: Package 'libcompress-zlib-perl' has no installation candidate..

Bonjour, mon problème se situe à la fin du log ! smile

OS:Ubuntu 12.10 et OCS 2.0.5.

+----------------------------------------------------------+
|                                                          |
| Welcome to OCS Inventory NG Management server setup !    |
|                                                          |
+----------------------------------------------------------+

Trying to determine whitch OS or Linux distribution you use
+----------------------------------------------------------+
| Checking for Apache web server binaries !                |
+----------------------------------------------------------+

CAUTION: If upgrading Communication server from OCS Inventory NG 1.0 RC2 and
previous, please remove any Apache configuration for Communication Server!

Do you wish to continue ([y]/n)?y
Assuming Communication server 1.0 RC2 or previous is not installed
on this computer.

Starting OCS Inventory NG Management server setup from folder /home/alexandre/Téléchargements/OCSNG_UNIX_SERVER-2.0.5
Storing log in file /home/alexandre/Téléchargements/OCSNG_UNIX_SERVER-2.0.5/ocs_server_setup.log

+----------------------------------------------------------+
| Checking for database server properties...               |
+----------------------------------------------------------+

Your MySQL client seems to be part of MySQL version 5.5.
Your computer seems to be running MySQL 4.1 or higher, good ;-)

Which host is running database server [localhost] ?
OK, database server is running on host localhost ;-)

On which port is running database server [3306] ?
OK, database server is running on port 3306 ;-)


+----------------------------------------------------------+
| Checking for Apache web server daemon...                 |
+----------------------------------------------------------+

Where is Apache daemon binary [/usr/sbin/apache2] ?
OK, using Apache daemon /usr/sbin/apache2 ;-)


+----------------------------------------------------------+
| Checking for Apache main configuration file...           |
+----------------------------------------------------------+

Where is Apache main configuration file [/etc/apache2/apache2.conf] ?
OK, using Apache main configuration file /etc/apache2/apache2.conf ;-)


+----------------------------------------------------------+
| Checking for Apache user account...                      |
+----------------------------------------------------------+

Which user account is running Apache web server [www-data] ?
OK, Apache is running under user account www-data ;-)


+----------------------------------------------------------+
| Checking for Apache group...                             |
+----------------------------------------------------------+

Which user group is running Apache web server [www-data] ?
OK, Apache is running under users group www-data ;-)


+----------------------------------------------------------+
| Checking for Apache Include configuration directory...   |
+----------------------------------------------------------+

Setup found Apache Include configuration directory in
/etc/apache2/conf.d/.
Setup will put OCS Inventory NG Apache configuration in this directory.
Where is Apache Include configuration directory [/etc/apache2/conf.d/] ?
OK, Apache Include configuration directory /etc/apache2/conf.d/ found ;-)


+----------------------------------------------------------+
| Checking for PERL Interpreter...                         |
+----------------------------------------------------------+

Found PERL Intrepreter at </usr/bin/perl> ;-)
Where is PERL Intrepreter binary [/usr/bin/perl] ?
OK, using PERL Intrepreter /usr/bin/perl ;-)


Do you wish to setup Communication server on this computer ([y]/n)?


+----------------------------------------------------------+
| Checking for Make utility...                             |
+----------------------------------------------------------+

OK, Make utility found at </usr/bin/make> ;-)

+----------------------------------------------------------+
| Checking for Apache mod_perl version...                  |
+----------------------------------------------------------+

Checking for Apache mod_perl version 1.99_22 or higher
Checking for Apache mod_perl version 1.99_21 or previous
Setup is unable to determine your Apache mod_perl version.
Apache must have module mod_perl enabled. As configuration differs from
mod_perl 1.99_21 or previous AND mod_perl 1.99_22 or higher, Setup must
know which release Apache is using.
You can find which release you are using by running the following command
  - On RPM enabled OS, rpm -q mod_perl
  - On DPKG enabled OS, dpkg -l libapache*-mod-perl*
Enter 1 for mod_perl 1.99_21 or previous.
Enter 2 for mod_perl 1.99_22 and higher.
Which version of Apache mod_perl the computer is running ([1]/2) ?
OK, Apache is using mod_perl version 1.99_21 or previous ;-)

+----------------------------------------------------------+
| Checking for Communication server log directory...       |
+----------------------------------------------------------+

Communication server can create detailled logs. This logs can be enabled
by setting interger value of LOGLEVEL to 1 in Administration console
menu Configuration.
Where to put Communication server log directory [/var/log/ocsinventory-server] ?
OK, Communication server will put logs into directory /var/log/ocsinventory-server ;-)


+----------------------------------------------------------+
| Checking for required Perl Modules...                    |
+----------------------------------------------------------+

Checking for DBI PERL module...
Found that PERL module DBI is available.
Checking for Apache::DBI PERL module...
*** ERROR: PERL module Apache::DBI is not installed !
Checking for DBD::mysql PERL module...
Found that PERL module DBD::mysql is available.
Checking for Compress::Zlib PERL module...
Found that PERL module Compress::Zlib is available.
Checking for XML::Simple PERL module...
*** ERROR: PERL module XML::Simple is not installed !
Checking for Net::IP PERL module...
Found that PERL module Net::IP is available.
*** ERROR: There is one or more required PERL modules missing on your computer !
Please, install missing PERL modules first.

OCS setup.sh can install perl module from packages for you
The script will use the native package from your operating system like apt or rpm
Do you wish to continue (y/[n])?y
[...]
Fetched 611 kB in 4s (137 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libcompress-zlib-perl is a virtual package provided by:
  perl 5.14.2-13ubuntu0.1
  libio-compress-perl 2.052-1
You should explicitly select one to install.

E: Package 'libcompress-zlib-perl' has no installation candidate
Installation aborted !
Installation script encounter problems to install packages !


Voilà pour le log.

J'ai évidement installé perl & libio-compress-perl avec apt-get install libio-compress-perl perl mais toujours ce message d'erreur encore et encore, je ne trouve pas de solution..

Merci.

Last edited by Segzihey (2013-02-19 23:49:10)

Offline

#2 2013-03-05 14:15:09

patoche
Member
Registered: 2013-03-01
Posts: 6

Re: E: Package 'libcompress-zlib-perl' has no installation candidate..

Bonjour,

Je ne suis pas un spécialiste de Linux et encore moins de OCS mais pour les modules Perl j'utilise CPAN

http://www.cpan.org/  

voir kiki ici: 

 http://djibril.developpez.com/tutoriels/perl/installation-modules/#LIII 

l'avantage de cpan (entre autre ) c'est qui gère les dépendances.
Bon courage
Patoche

Offline

#3 2013-03-05 14:41:16

frankb
OCS Team
From: France (Angers)
Registered: 2009-01-12
Posts: 3,644
Website

Re: E: Package 'libcompress-zlib-perl' has no installation candidate..

Les modules perl manquant sont gérés par la distribution, donc ubuntu
installer les modules apache::DBI, Net::IP, XML::Simple

Offline

Board footer

Powered by FluxBB

Serveur dédié, hébergement web, infogérance et nom  de domaine - NFrance Conseil